## Fetch all participants of a meeting `client.RealtimeKit.Meetings.GetMeetingParticipants(ctx, appID, meetingID, params) (*MeetingGetMeetingParticipantsResponse, error)` **get** `/accounts/{account_id}/realtime/kit/{app_id}/meetings/{meeting_id}/participants` Returns all participants detail for the given meeting ID. ### Parameters - `appID string` The app identifier tag. - `meetingID string` - `params MeetingGetMeetingParticipantsParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `PageNo param.Field[float64]` Query param: The page number from which you want your page search results to be displayed. - `PerPage param.Field[float64]` Query param: Number of results per page ### Returns - `type MeetingGetMeetingParticipantsResponse struct{…}` - `Data []MeetingGetMeetingParticipantsResponseData` - `ID string` ID of the participant. - `CreatedAt Time` When this object was created. The time is returned in ISO format. - `CustomParticipantID string` A unique participant ID generated by the client. - `PresetName string` Preset applied to the participant. - `UpdatedAt Time` When this object was updated. The time is returned in ISO format. - `Name string` Name of the participant. - `Picture string` URL to a picture of the participant. - `Paging MeetingGetMeetingParticipantsResponsePaging` - `EndOffset float64` - `StartOffset float64` - `TotalCount float64` - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Meetings.GetMeetingParticipants( context.TODO(), "app_id", "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", realtime_kit.MeetingGetMeetingParticipantsParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Data) } ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "custom_participant_id": "custom_participant_id", "preset_name": "preset_name", "updated_at": "2019-12-27T18:11:19.117Z", "name": "name", "picture": "https://example.com" } ], "paging": { "end_offset": 30, "start_offset": 1, "total_count": 30 }, "success": true } ```